summaryrefslogtreecommitdiffstats
path: root/source/d
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-12-22 19:14:09 +0000
committer Eric Hameleers <alien@slackware.com>2019-12-23 08:59:49 +0100
commitf1f15652d1e9b864b86e42f206ccf7054f684e55 (patch)
tree137a291211ab1637987cf3d6b556cf8e89423c77 /source/d
parent34c69a90eabb6e22de0b9bba1c7031c976ae3d4d (diff)
downloadcurrent-f1f15652d1e9b864b86e42f206ccf7054f684e55.tar.gz
current-f1f15652d1e9b864b86e42f206ccf7054f684e55.tar.xz
Sun Dec 22 19:14:09 UTC 201920191222191409
d/parallel-20191222-noarch-1.txz: Upgraded. l/eigen3-3.2.10-x86_64-3.txz: Rebuilt. Fixed header path in eigen3.pc. Thanks to gouttegd. l/gobject-introspection-1.62.0-x86_64-3.txz: Rebuilt. Recompiled against libffi-3.3. l/imagemagick-7.0.9_10-x86_64-1.txz: Upgraded. n/libmbim-1.20.4-x86_64-1.txz: Upgraded. n/libtirpc-1.2.5-x86_64-1.txz: Upgraded. xfce/tumbler-0.2.8-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/d')
-rwxr-xr-xsource/d/rust/rust.SlackBuild22
1 files changed, 2 insertions, 20 deletions
diff --git a/source/d/rust/rust.SlackBuild b/source/d/rust/rust.SlackBuild
index 3c261906f..d7d2085e7 100755
--- a/source/d/rust/rust.SlackBuild
+++ b/source/d/rust/rust.SlackBuild
@@ -79,7 +79,6 @@ if [ "$ARCH" = "i586" ]; then
BARCH="$ARCH"
else
BARCH="i686"
-
if case "$( uname -m )" in i586) true ;; *) false ;; esac ; then
echo "rust must be bootstrapped from an i686 machine"
exit 1
@@ -88,13 +87,11 @@ if [ "$ARCH" = "i586" ]; then
else
# i586 must be built on a i686 machine, since the bootstrap compiler is i686
BARCH="i686"
-
if case "$( uname -m )" in i586) true ;; *) false ;; esac ; then
echo "rust must be bootstrapped from an i686 machine"
exit 1
fi
fi
-
TARCH="$ARCH"
elif [ "$ARCH" = "armv7hl" ]; then
BARCH="armv7"
@@ -120,19 +117,14 @@ PKG=$TMP/package-$PKGNAM
#NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
elif [ "$ARCH" = "armv7hl" ]; then
- SLKCFLAGS=""
LIBDIRSUFFIX=""
else
- SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi
@@ -237,18 +229,8 @@ elif [ "$BARCH" = "i686" ] ; then
fi
fi
-if [ "$ARCH" = "armv7hl" ] ; then
- python x.py dist
-else
- # README.md says gcc 4.7 / clang 3.x or later needed
- # but building fails for me with GCC 5.3 from slackware 14.2
- export CC=clang
- export CXX=clang++
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- python x.py dist || exit 1
-fi
-
+# Build and install:
+python x.py dist || exit 1
DESTDIR=$PKG python x.py install || exit 1
# Eh, none of this is all that big. Might as well leave it around as a